| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
cv::detail::GOpaqueU Class Reference

`#include <opencv2/gapi/gopaque.hpp>`

Collaboration diagram for cv::detail::GOpaqueU:

## Public Member Functions
| GOpaqueU (const GNode &n, std::size_t out)
template<typename T >
bool | holds () const
GOrigin & | priv ()
const GOrigin & | priv () const

## Protected Member Functions
| GOpaqueU ()
void | setConstructFcn (ConstructOpaque &&cv)
void | setKind (cv::detail::OpaqueKind)
template<typename T >
void | specifyType ()
template<typename T >
void | storeKind ()

## Protected Attributes
std::shared_ptr< TypeHintBase > | m_hint
std::shared_ptr< GOrigin > | m_priv

## Friends
template<class >
class | cv::GOpaque

## Constructor & Destructor Documentation

## ◆ GOpaqueU() [1/2]

cv::detail::GOpaqueU::GOpaqueU | ( | const GNode & | n,
|  | std::size_t | out )

## ◆ GOpaqueU() [2/2]

cv::detail::GOpaqueU::GOpaqueU | ( |  | ) |
| protected

## Member Function Documentation

## ◆ holds()

template<typename T >

bool cv::detail::GOpaqueU::holds | ( |  | ) | const

## ◆ priv() [1/2]

GOrigin & cv::detail::GOpaqueU::priv | ( |  | ) |

## ◆ priv() [2/2]

const GOrigin & cv::detail::GOpaqueU::priv | ( |  | ) | const

## ◆ setConstructFcn()

void cv::detail::GOpaqueU::setConstructFcn | ( | ConstructOpaque && | cv | ) |
| protected

## ◆ setKind()

void cv::detail::GOpaqueU::setKind | ( | cv::detail::OpaqueKind |  | ) |
| protected

## ◆ specifyType()

template<typename T >

void cv::detail::GOpaqueU::specifyType | ( |  | ) |
| protected

## ◆ storeKind()

template<typename T >

void cv::detail::GOpaqueU::storeKind | ( |  | ) |
| protected

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## ◆ cv::GOpaque

template<class >

friend class cv::GOpaque
| friend

## Member Data Documentation

## ◆ m_hint

std::shared_ptr<TypeHintBase> cv::detail::GOpaqueU::m_hint
| protected

## ◆ m_priv

std::shared_ptr<GOrigin> cv::detail::GOpaqueU::m_priv
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/gopaque.hpp